Creates a new instance-wide AI provider from the current AI_PLATFORM_* environment variables. The API key is encrypted at rest; the response never includes it.…
bearerAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/admin/ai-providers/import-env" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "33333333-3333-4333-8333-333333333333",
"label": "Imported from env",
"providerType": "openai",
"model": "example-model",
"baseUrl": "https://api.example.com/v1",
"thinkingMode": "provider_default",
"openAiEndpointMode": "chat_completions",
"maxOutputTokensField": "max_tokens",
"supportsThinkingMode": false,
"minimumThinkingTokens": null,
"omitSamplingWhenThinking": false,
"hasApiKey": true,
"inputCostPer1MUncached": null,
"inputCostPer1MCached": null,
"outputCostPer1M": null,
"enabled": true,
"priority": 1,
"scheduleEnabled": false,
"scheduleStart": "00:00",
"scheduleEnd": "23:59",
"scheduleTimezone": "UTC",
"consecutiveFailures": 0,
"circuitOpenUntil": null,
"lastError": null
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}Try it
Your API key is sent directly to the Convor API from your browser and is never stored on this site.
Was this page helpful?